org.apache.hadoop.io.erasurecode

## Class ErasureCodeConstants

- java.lang.Object
- - org.apache.hadoop.io.erasurecode.ErasureCodeConstants

-     public final class ErasureCodeConstants
      extends Object

  Constants related to the erasure code feature.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DUMMY_CODEC_NAME`
    `static String` | `HHXOR_CODEC_NAME`
    `static byte` | `MAX_POLICY_ID`
    `static ECSchema` | `REPLICATION_1_2_SCHEMA`
    `static String` | `REPLICATION_CODEC_NAME`
    `static byte` | `REPLICATION_POLICY_ID`
    `static String` | `REPLICATION_POLICY_NAME`
    `static ECSchema` | `RS_10_4_SCHEMA`
    `static ECSchema` | `RS_3_2_SCHEMA`
    `static ECSchema` | `RS_6_3_LEGACY_SCHEMA`
    `static ECSchema` | `RS_6_3_SCHEMA`
    `static String` | `RS_CODEC_NAME`
    `static String` | `RS_LEGACY_CODEC_NAME`
    `static byte` | `USER_DEFINED_POLICY_START_ID`
    `static ECSchema` | `XOR_2_1_SCHEMA`
    `static String` | `XOR_CODEC_NAME`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DUMMY_CODEC_NAME

          public static final String DUMMY_CODEC_NAME

      See Also:
        Constant Field Values

    - #### RS_CODEC_NAME

          public static final String RS_CODEC_NAME

      See Also:
        Constant Field Values

    - #### RS_LEGACY_CODEC_NAME

          public static final String RS_LEGACY_CODEC_NAME

      See Also:
        Constant Field Values

    - #### XOR_CODEC_NAME

          public static final String XOR_CODEC_NAME

      See Also:
        Constant Field Values

    - #### HHXOR_CODEC_NAME

          public static final String HHXOR_CODEC_NAME

      See Also:
        Constant Field Values

    - #### REPLICATION_CODEC_NAME

          public static final String REPLICATION_CODEC_NAME

      See Also:
        Constant Field Values

    - #### RS_6_3_SCHEMA

          public static final ECSchema RS_6_3_SCHEMA

    - #### RS_3_2_SCHEMA

          public static final ECSchema RS_3_2_SCHEMA

    - #### RS_6_3_LEGACY_SCHEMA

          public static final ECSchema RS_6_3_LEGACY_SCHEMA

    - #### XOR_2_1_SCHEMA

          public static final ECSchema XOR_2_1_SCHEMA

    - #### RS_10_4_SCHEMA

          public static final ECSchema RS_10_4_SCHEMA

    - #### REPLICATION_1_2_SCHEMA

          public static final ECSchema REPLICATION_1_2_SCHEMA

    - #### MAX_POLICY_ID

          public static final byte MAX_POLICY_ID

      See Also:
        Constant Field Values

    - #### USER_DEFINED_POLICY_START_ID

          public static final byte USER_DEFINED_POLICY_START_ID

      See Also:
        Constant Field Values

    - #### REPLICATION_POLICY_ID

          public static final byte REPLICATION_POLICY_ID

      See Also:
        Constant Field Values

    - #### REPLICATION_POLICY_NAME

          public static final String REPLICATION_POLICY_NAME

      See Also:
        Constant Field Values

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.